Fulfillment & ShippingRates
Create shipping rate
Creates a rate for a shipping method with optional zone or postal-code matching, order-price and weight limits, and a type-specific price formula.
POST
/v1/shipping/ratesCreates a rate for a shipping method with optional zone or postal-code matching, order-price and weight limits, and a type-specific price formula.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/rates" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "shippingMethodId": "7204558912004325301", "type": "flat", "zoneCode": "example_code", "price": 1, "currency": "PEN", "minOrderPrice": 1, "maxOrderPrice": 1, "postalCodes": [ "example" ] }'{ "id": "7204558912004325301"}